gnutls_pubkey_get_openpgp_key_id(3)

NAME
gnutls_pubkey_get_openpgp_key_id - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_get_openpgp_key_id(gnutls_pubkey_t key, unsigned int flags, unsigned char * output_data, size_t * output_data_size, unsigned int * subkey);

ARGUMENTS

gnutls_pubkey_t key
    Holds the public key

unsigned int flags
    should be 0 or GNUTLS_PUBKEY_GET_OPENPGP_FINGERPRINT

unsigned char * output_data
    will contain the key ID

size_t * output_data_size
    holds the size of output_data (and will be replaced by the actual size of parameters)

unsigned int * subkey
    Will be non zero if the key ID corresponds to a subkey

DESCRIPTION
This function returns the OpenPGP key ID of the corresponding key. The key is a unique ID that depends on the public key parameters. If the flag GNUTLS_PUBKEY_GET_OPENPGP_FINGERPRINT is specified this function returns the fingerprint of the master key. If the buffer provided is not long enough to hold the output, then *output_data_size is updated and GNUTLS_E_SHORT_MEMORY_BUFFER will be returned. The output is GNUTLS_OPENPGP_KEYID_SIZE bytes long.

RETURNS
In case of failure a negative error code will be returned, and 0 on success.

SINCE
3.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/